Loading...
Searching...
No Matches
XrdConfigProt Class Reference
Collaboration diagram for XrdConfigProt:

## Public Member Functions

| XrdConfigProt (char *pn, char *ln, char *pp, int np=-1, bool to=false)
| ~XrdConfigProt ()
bool | AddPort (int pnum, bool isTLS)
void | Reset (char *ln, char *pp, int np=-1, bool to=false)

## Public Attributes

union { |
bool | dotls
bool | tlsVec [XrdProtLoad::PortoMax]
}; |
union { |
int | port
int | portVec [XrdProtLoad::PortoMax]
}; |
char * | libpath
XrdConfigProt * | Next
int | numP
char * | parms
char * | proname

## Detailed Description

Definition at line 173 of file XrdConfig.cc.

## Constructor & Destructor Documentation

## XrdConfigProt()

XrdConfigProt::XrdConfigProt | ( | char * | pn,
|  | char * | ln,
|  | char * | pp,
|  | int | np = -1,
|  | bool | to = false )

inline

Definition at line 212 of file XrdConfig.cc.

: Next(0), proname(pn), libpath(ln), parms(pp), numP(1)
{memset(portVec, 0, sizeof(portVec)); port = np;
memset(tlsVec, 0, sizeof(tlsVec)); dotls = to;
}
XrdConfigProt::libpath
char * libpath
Definition XrdConfig.cc:179
XrdConfigProt::Next
XrdConfigProt * Next
Definition XrdConfig.cc:177
XrdConfigProt::parms
char * parms
Definition XrdConfig.cc:180
XrdConfigProt::proname
char * proname
Definition XrdConfig.cc:178
XrdConfigProt::numP
int numP
Definition XrdConfig.cc:182

References libpath, Next, numP, parms, and proname.

## ~XrdConfigProt()

XrdConfigProt::~XrdConfigProt | ( |  | ) |

inline

Definition at line 219 of file XrdConfig.cc.

{free(proname);
if (libpath) free(libpath);
if (parms) free(parms);
}

References libpath, parms, and proname.

## Member Function Documentation

## AddPort()

bool XrdConfigProt::AddPort | ( | int | pnum,
|  | bool | isTLS )

inline

Definition at line 190 of file XrdConfig.cc.

{for (int i = 0; i < numP; i++)
if (pnum == portVec[i])
{tlsVec[i] = isTLS; return true;}
if (numP >= (XrdProtLoad::PortoMax)) return false;
portVec[numP] = pnum; tlsVec[numP] = isTLS;
numP++;
return true;
}
XrdProtLoad::PortoMax
static const int PortoMax
Definition XrdProtLoad.hh:64

References numP, and XrdProtLoad::PortoMax.

## Reset()

void XrdConfigProt::Reset | ( | char * | ln,
|  | char * | pp,
|  | int | np = -1,
|  | bool | to = false )

inline

Definition at line 200 of file XrdConfig.cc.

{if (libpath) free(libpath);
libpath = ln;
if (parms) free(parms);
parms = pp;
memset(portVec, 0, sizeof(portVec));
port = np;
memset(tlsVec, 0, sizeof(tlsVec));
dotls = to;
numP = 1;
}

References libpath, numP, and parms.

## Member Data Documentation

## [union]

union { ... } XrdConfigProt

## [union]

union { ... } XrdConfigProt

## libpath

char* XrdConfigProt::libpath

Definition at line 179 of file XrdConfig.cc.

Referenced by XrdConfigProt(), ~XrdConfigProt(), and Reset().

## Next

XrdConfigProt* XrdConfigProt::Next

Definition at line 177 of file XrdConfig.cc.

Referenced by XrdConfigProt().

## numP

int XrdConfigProt::numP

Definition at line 182 of file XrdConfig.cc.

Referenced by XrdConfigProt(), AddPort(), and Reset().

## parms

char* XrdConfigProt::parms

Definition at line 180 of file XrdConfig.cc.

Referenced by XrdConfigProt(), ~XrdConfigProt(), and Reset().

## proname

char* XrdConfigProt::proname

Definition at line 178 of file XrdConfig.cc.

Referenced by XrdConfigProt(), and ~XrdConfigProt().

The documentation for this class was generated from the following file:

- XrdConfig.cc